#ifndef _MYFREERTOS_H
#define _MYFREERTOS_H

#include "FreeRTOS.h"
#include "task.h"
#include "SysTick.h"
#include "system.h"
#include "W25Q128_Ins.h"
#include "USART.h"
#include "stdio.h"
#include "rs485.h"
#include "write.h"
#include "Relays.h"
#include "OSC.h"
#include "PWM.h"
#include "rtc.h"
#include "bufcut.h"
#include "iwdg.h"
#include "PID.h"
#include "PWMOUT.h"
#include "w5500api.h"
#include "dhcp.h"
#include "dns.h"
#include "mqtt_api.h"

void os_init(void);
void process_sensor_data(u8 *data);
void process_hmi_btn_event(u8 page_index, u8 btn_index, u8 value);
#endif


